# $Revision: 1.11 $, $Date: 2004/10/22 02:11:47 $
#
# Conditional build:
%bcond_without	sdl	# without Screensaver support
%bcond_without  gai	# without applet support
#
Summary:	Applet with aquarium
Summary(pl):	Aplet z akwarium
Name:		shermans_aquarium
Version:	3.0.0
Release:	4
License:	GPL v2 (except for images - see COPYING)
Group:		X11/Window Managers/Tools
Source0:	http://dl.sourceforge.net/aquariumapplet/%{name}-%{version}.tar.bz2
# Source0-md5:	aed7c15259ea6f806ba620f946393cbf
# Source0-size:	934288
Source1:	%{name}.desktop
Patch0:		%{name}-3.0.0-opt.patch
Patch1:		%{name}-libdir.patch
Patch2:		%{name}-typo.patch
URL:		http://aquariumapplet.sourceforge.net/
%{?with_sdl:BuildRequires:	SDL-devel >= 1.2}
BuildRequires:	autoconf
%{?with_gai:BuildRequires:	gai-devel}
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
%{?with_sdl:Requires:	xscreensaver}
Obsoletes:	gnome-applet-aquarium 
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xscreensavdir	/etc/X11/xscreensaver

%description
This applet gives an aquarium with some randomly selected fishes. Some
other features this program gives is that the temperature scale on the
right side shows the current CPU load. It can also be configured to
display the time and show the status of numlock, capslock and
scrollock.

%description -l pl
Aplet akwarium z losowo wybranymi rybami. Innymi funkcjami programu
jakie oferuje jest to, e skala temperatury na prawo pokazuje aktualne
obcienie procesora. Aplet ten moe te by skonfigurowany do
wywietlania czasu i pokazywania statusu klawiszy numlock, capslock i
scrollock.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure \
	%{!?with_gai:--disable-gai}
	%{!?with_sdl:--disable-sdl}

%{__make} \
	OPT="%{rpmcflags}"
	

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir}/docklets,%{_xscreensavdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets
mv -f $RPM_BUILD_ROOT%{_datadir}/control-center/screensavers/* \
	$RPM_BUILD_ROOT%{_xscreensavdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README README.gai TODO XSCREENSAVER
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/docklets/*
%{_libdir}/bonobo/servers/*.server
%{_pixmapsdir}/*
%{_xscreensavdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shermans_aquarium.spec,v $
Revision 1.11  2004/10/22 02:11:47  havner
- rel 4

Revision 1.10  2004/10/21 17:54:35  yogib
- added typo patch send by author

Revision 1.9  2004/10/19 23:22:19  undefine
- release 3

Revision 1.8  2004/10/19 23:20:40  undefine
- fix build on amd64

Revision 1.7  2004/09/25 15:37:08  yogib
- switched to vfolders

Revision 1.6  2004/09/07 06:23:59  aflinta
- up to full version 3.0.0

Revision 1.5  2004/01/11 15:54:16  qboosh
- simplified Source0 URL, other cosmetics

Revision 1.4  2004/01/11 15:16:41  yogib
- md5 fix

Revision 1.3  2004/01/11 14:37:56  yogib
- added bcond: gai(applet support), R: xscreensaver
- moved shermans.xml to proper dir

Revision 1.2  2004/01/11 11:01:52  yogib
- up to 3.0.0pre2
- added bcond: sdl (Screensaver support), BR: zlib-devel

Revision 1.1  2003/12/23 22:51:10  yogib
- initial version
- this version supports other WM not only Gnome
